--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: canonical_id
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: element
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: service_types
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: uri
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: yadis
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: yadis_uri
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Class representing an XRD Service element.
constants: []

full_name: ServiceEndpoint
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: match_type_uris
name: ServiceEndpoint
superclass: Object
